
Redmine - Defect #30438

Internal error after replying isuess 

2019-01-15 16:40 - Konrad Gorczyca

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello,

When someone tries to answer in a project, he receives a 500 error like file in attachment.

Logs from redmine/log/production.log

Started GET "/" for 185.28.17.74 at Tue Jan 15 15:24:51 +0000 2019

Processing by WelcomeController#index as HTML

  Current user: j.onak (id=177)

  Rendered welcome/index.html.erb within layouts/base (17.6ms)

Completed 200 OK in 5021ms (Views: 4988.7ms | ActiveRecord: 1.7ms)

Started GET "/projects/test_projekt3" for 185.28.17.74 at Tue Jan 15 15:25:00 +0000 2019

Processing by ProjectsController#show as HTML

  Parameters: {"id"=>"test_projekt3"}

  Current user: j.onak (id=177)

  Rendered projects/_members_box.html.erb (1.0ms)

  Rendered projects/show.html.erb within layouts/base (11.5ms)

Completed 200 OK in 1329ms (Views: 40.2ms | ActiveRecord: 1238.3ms)

Started GET "/projects/test_projekt3/issues/new" for 185.28.17.74 at Tue Jan 15 15:25:08 +0000 201

9

Processing by IssuesController#new as HTML

  Parameters: {"project_id"=>"test_projekt3"}

  Current user: j.onak (id=177)

  Rendered issues/_form_custom_fields.html.erb (17.6ms)

  Rendered issues/_attributes.html.erb (49.7ms)

  Rendered plugins/redmine_mentions/app/views/hooks/redmine_mentions/_edit_mentionable.html.erb (2

3.0ms)

  Rendered issues/_form.html.erb (105.3ms)

  Rendered attachments/_form.html.erb (4.2ms)

  Rendered issues/new.html.erb within layouts/base (116.2ms)

Completed 200 OK in 357ms (Views: 304.8ms | ActiveRecord: 4.3ms)

Started POST "/projects/test_projekt3/issues" for 185.28.17.74 at Tue Jan 15 15:25:14 +0000 2019

Processing by IssuesController#create as HTML

  Parameters: {"commit"=>"StwÃ³rz", "utf8"=>"âœ“", "issue"=>{"is_private"=>"0", "subject"=>"15", "

status_id"=>"1", "estimated_hours"=>"", "description"=>"15", "tracker_id"=>"1", "assigned_to_id"=>

"", "done_ratio"=>"0", "priority_id"=>"2", "start_date"=>"2019-01-15", "custom_field_values"=>{"2"

=>"", "4"=>"0", "5"=>""}, "parent_issue_id"=>"", "due_date"=>""}, "authenticity_token"=>"f9ifvpiJs

NXNx1PEjPYVnrCee61i5DDzmx7ywobbric=", "project_id"=>"test_projekt3"}

  Current user: j.onak (id=177)

  Rendered mailer/_issue.text.erb (1.2ms)

  Rendered mailer/issue_add.text.erb within layouts/mailer (2.6ms)

  Rendered mailer/_issue.html.erb (262.1ms)

  Rendered mailer/issue_add.html.erb within layouts/mailer (263.2ms)

Completed 500 Internal Server Error in 21130ms

 
Ruby -ver = ruby 1.8.7

 How can i fix it ?
History

#1 - 2019-01-15 21:21 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Konrad Gorczyca

Ruby 1.8.7 is not supported in the recent Redmine versions. Please post more details about your instance (see Submissions).

#2 - 2019-02-03 16:01 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Assignee deleted (Konrad Gorczyca)

- Resolution set to Invalid

Please reopen if you experience the same issue on the latest Redmine versions.

Files
